> ## Documentation Index
> Fetch the complete documentation index at: https://developer.copper.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Lending Report



## OpenAPI

````yaml /copper-open-api-public.json post /reports/lending
openapi: 3.1.0
info:
  description: >-
    Copper API is based on the REST API interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.

    By default, the request should include a Content-Type header set as
    application/json. Some requests require different header fields, as well as
    other Content-Type values. In this case, a proper header will be stated in
    an example.

    When interacting with the API, please note that all numerical values, such
    as order amounts or timestamps, should be transmitted as strings. This
    ensures consistent data representation and prevents potential issues with
    floating-point precision
  title: Copper Platform API
  version: latest
servers:
  - description: platform.copper.co
    url: https://api.copper.co/platform
  - description: demo.copper.co
    url: https://api.stage.copper.co/platform
  - description: testnet.copper.co
    url: https://api.testnet.copper.co/platform
security: []
tags:
  - name: reports
  - name: deposit-targets
  - name: lending
  - name: portfolios
  - name: wallets
  - name: network
  - name: stake
  - name: blockchain
  - name: organizations
  - name: files
  - name: orders
  - name: address-book
  - name: clearloop
  - name: currencies
paths:
  /reports/lending:
    post:
      tags:
        - reports
      summary: Create Lending Report
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateLendingReport'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Report'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    CreateLendingReport:
      properties:
        fromDate:
          description: >-
            Optional date when provided the report will only contain lending
            information from this date onward (inclusive)
          type: string
        loanSide:
          $ref: '#/components/schemas/LoanSide'
          description: The loan side to filter by. [See details](/enums/LoanSide)
          examples:
            - lend,borrow
        organizationId:
          description: Unique ID of the organisation
          type: string
        reportType:
          $ref: '#/components/schemas/LendingReportType'
          description: >-
            The type of the report to generate. [See
            details](/enums/LendingReportType)
          examples:
            - outstanding-loans-report,loan-activity-report,loan-fees-report
        toDate:
          description: >-
            Optional date when provided the report will only contain lending
            information up to this date (inclusive)
          type: string
      required:
        - organizationId
        - reportType
      type: object
    Report:
      properties: {}
      type: object
    LoanSide:
      enum:
        - lend
        - borrow
      type: string
    LendingReportType:
      enum:
        - outstanding-loans-report
        - loan-activity-report
        - loan-fees-report
      type: string

````